commit:     aec3ffe374ada3bc90e89012a06406d17da81c2d
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Nov  8 18:03:45 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Nov  8 21:45:12 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aec3ffe3

sys-kernel/gentoo-kernel: Bump to 6.11.7

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 sys-kernel/gentoo-kernel/Manifest                  |   3 +
 .../gentoo-kernel/gentoo-kernel-6.11.7.ebuild      | 144 +++++++++++++++++++++
 2 files changed, 147 insertions(+)

diff --git a/sys-kernel/gentoo-kernel/Manifest 
b/sys-kernel/gentoo-kernel/Manifest
index fe2f5a44ed3c..a80d4083b707 100644
--- a/sys-kernel/gentoo-kernel/Manifest
+++ b/sys-kernel/gentoo-kernel/Manifest
@@ -20,6 +20,9 @@ DIST genpatches-6.11-7.extras.tar.xz 4060 BLAKE2B 
073ddb98be6a0ea659f5b494574f0c
 DIST genpatches-6.11-8.base.tar.xz 639004 BLAKE2B 
218ff37e8fb82b4bff3baa5b197b4c42ec19a4c5480620982f7befe8313f0f226324a629d6c15eee230faa3fc7c5bb558a58ac94e2e9b0259823c813220681b1
 SHA512 
cccc58e7ed24b90db88b14f9a693ccd021b1fa1beb9568511e344807673d2e518a66b2ffb48773a5d68da03ad15671181b7dc53bf2161ad1a88e95b555389116
 DIST genpatches-6.11-8.experimental.tar.xz 5996 BLAKE2B 
d14f97330a14afc3135ab48da877c028d9631254918256dffa32a189bc430e8f1bc892130ce54957da60ac59b4003c2c9d089b42604fee0b69635cde5f30b563
 SHA512 
0f195ecd51cd793c72025aee20f770bd2694e1cb0dc0ac2bd7d99db9e81fe6ac6367ca3279e4e1dc6fb6ec6abaf802563a032e15f21f9fe1a2d8f0dd0498e501
 DIST genpatches-6.11-8.extras.tar.xz 4056 BLAKE2B 
33f594ef302fe78ec07e146dc0603ecb3eb0b61c6f3639dfd4f89885cd5533c53b1d0ef30618bf8c1fb749499721f668e28161890835725b4e62240f2bfd2646
 SHA512 
6424792e0f38d94d19d4849552597c5f44df4a47d09c237b49f084c4d780501c2119beb9d45e9027526423175e7e7fe9939c59eb242da5462bd4b6331edb15fb
+DIST genpatches-6.11-9.base.tar.xz 709096 BLAKE2B 
999c593ca8d926d2788cd14e7a1e868a798b0067c09266a2df3d2c12dd0c9ca571e620d1cb708cac29f7b0316f45b7a67a9432a84609919823cc21b4e54304b0
 SHA512 
e243321366c6fc45dbf1f710888c332bcaf64d520ca21ecc703d9ec03d13535767457f117f734017154f8948a2fb6d48ed1fbfc44b717ccfb41f69d2acce5339
+DIST genpatches-6.11-9.experimental.tar.xz 6000 BLAKE2B 
de52912f166ad202703c9ce8456214e130f86223a13cee0d99d3f6711b71075de4c149d8c0aea3728361636a8c17902b78a84f568f3707078928dfc2a5b90746
 SHA512 
ab8173fd4172ea8d260d0a9cee752843c0dcd5ccc511a9d0758f88a62c258bf45236e35493e4570a252da3fa76eabbc6c0d70a218d0925902293481b355db21c
+DIST genpatches-6.11-9.extras.tar.xz 4056 BLAKE2B 
b2388d28af9c0b2afc1c663bc1b98c0f3bdda9fc92879031d057510a9c1f7edc036053d68e66ec83cd12344148bf9968482f6075d602b71553c969941deec4ae
 SHA512 
7dc9b2702169ed6e91ee5bd830e2d0bfd84e10a301d3aabb1c573f636ff9a2d96a5c837381573a0e5c69911060682e9f7e0f794a2013cc11ea7b845592717aa3
 DIST genpatches-6.6-65.base.tar.xz 3582916 BLAKE2B 
3d750c677e61c122144de989a55db6f04a2a545981858b71c602c156f802478ad19f4d87629760be724a9b522b377479df9f0c5f9a859235c5fc438df95c2aae
 SHA512 
1ac5e7fb36e50227a6bdf035562f11401ef6a19c1a7af2d001d224b8710e3aa10434d828a3a0213a1f5cce101992bb803199e5d4e76474b657dc5c4d6328c385
 DIST genpatches-6.6-65.experimental.tar.xz 5760 BLAKE2B 
0c3225caf884383298d845708f3c9117db0cdacee51c7af4c4226bc6c2888bcd0c309ddc989d17a7957676eb16295428fbd7c779651b79604e0ec7b2d194dc1d
 SHA512 
7fbf84682f62ca26da5dff4543803fcfb5a4b53b5c5312b7d764a2838f9d0a6f59d0f42d89f3353bbaf22f23a4729c215974e00fa54cbb0d8d24cc4c5cb7e2db
 DIST genpatches-6.6-65.extras.tar.xz 4060 BLAKE2B 
53cdbf5d680c9943d189e7606caa10c18bd3317789ffc1f120bf535255d80bfb5e3969fe952eb0da3c1001ee41e93755616332363465d4714a67a90140c43bfb
 SHA512 
b5b3c817426be391a72633740beb4ba7b4e2546ee441081906d77ba31636321501af414140d487d284de325f80d004aefb241f3e349ef3ccd62d2c6fc4d7cf7e

diff --git a/sys-kernel/gentoo-kernel/gentoo-kernel-6.11.7.ebuild 
b/sys-kernel/gentoo-kernel/gentoo-kernel-6.11.7.ebuild
new file mode 100644
index 000000000000..96da6b1cb09b
--- /dev/null
+++ b/sys-kernel/gentoo-kernel/gentoo-kernel-6.11.7.ebuild
@@ -0,0 +1,144 @@
+# Copyright 2020-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+KERNEL_IUSE_GENERIC_UKI=1
+KERNEL_IUSE_MODULES_SIGN=1
+
+inherit kernel-build toolchain-funcs
+
+MY_P=linux-${PV%.*}
+GENPATCHES_P=genpatches-${PV%.*}-$(( ${PV##*.} + 2 ))
+# https://koji.fedoraproject.org/koji/packageinfo?packageID=8
+# forked to https://github.com/projg2/fedora-kernel-config-for-gentoo
+CONFIG_VER=6.11.5-gentoo
+GENTOO_CONFIG_VER=g14
+
+DESCRIPTION="Linux kernel built with Gentoo patches"
+HOMEPAGE="
+       https://wiki.gentoo.org/wiki/Project:Distribution_Kernel
+       https://www.kernel.org/
+"
+SRC_URI+="
+       https://cdn.kernel.org/pub/linux/kernel/v$(ver_cut 1).x/${MY_P}.tar.xz
+       
https://dev.gentoo.org/~mpagano/dist/genpatches/${GENPATCHES_P}.base.tar.xz
+       
https://dev.gentoo.org/~mpagano/dist/genpatches/${GENPATCHES_P}.extras.tar.xz
+       experimental? (
+               
https://dev.gentoo.org/~mpagano/dist/genpatches/${GENPATCHES_P}.experimental.tar.xz
+       )
+       
https://github.com/projg2/gentoo-kernel-config/archive/${GENTOO_CONFIG_VER}.tar.gz
+               -> gentoo-kernel-config-${GENTOO_CONFIG_VER}.tar.gz
+       amd64? (
+               
https://raw.githubusercontent.com/projg2/fedora-kernel-config-for-gentoo/${CONFIG_VER}/kernel-x86_64-fedora.config
+                       -> kernel-x86_64-fedora.config.${CONFIG_VER}
+       )
+       arm64? (
+               
https://raw.githubusercontent.com/projg2/fedora-kernel-config-for-gentoo/${CONFIG_VER}/kernel-aarch64-fedora.config
+                       -> kernel-aarch64-fedora.config.${CONFIG_VER}
+       )
+       ppc64? (
+               
https://raw.githubusercontent.com/projg2/fedora-kernel-config-for-gentoo/${CONFIG_VER}/kernel-ppc64le-fedora.config
+                       -> kernel-ppc64le-fedora.config.${CONFIG_VER}
+       )
+       x86? (
+               
https://raw.githubusercontent.com/projg2/fedora-kernel-config-for-gentoo/${CONFIG_VER}/kernel-i686-fedora.config
+                       -> kernel-i686-fedora.config.${CONFIG_VER}
+       )
+"
+S=${WORKDIR}/${MY_P}
+
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="debug experimental hardened"
+REQUIRED_USE="
+       arm? ( savedconfig )
+       hppa? ( savedconfig )
+       riscv? ( savedconfig )
+       sparc? ( savedconfig )
+"
+
+RDEPEND="
+       !sys-kernel/gentoo-kernel-bin:${SLOT}
+"
+BDEPEND="
+       debug? ( dev-util/pahole )
+"
+PDEPEND="
+       >=virtual/dist-kernel-${PV}
+"
+
+QA_FLAGS_IGNORED="
+       usr/src/linux-.*/scripts/gcc-plugins/.*.so
+       usr/src/linux-.*/vmlinux
+       usr/src/linux-.*/arch/powerpc/kernel/vdso.*/vdso.*.so.dbg
+"
+
+src_prepare() {
+       local PATCHES=(
+               # meh, genpatches have no directory
+               "${WORKDIR}"/*.patch
+       )
+       default
+
+       local biendian=false
+
+       # prepare the default config
+       case ${ARCH} in
+               arm | hppa | loong | riscv | sparc)
+                       > .config || die
+               ;;
+               amd64)
+                       cp 
"${DISTDIR}/kernel-x86_64-fedora.config.${CONFIG_VER}" .config || die
+                       ;;
+               arm64)
+                       cp 
"${DISTDIR}/kernel-aarch64-fedora.config.${CONFIG_VER}" .config || die
+                       biendian=true
+                       ;;
+               ppc)
+                       # assume powermac/powerbook defconfig
+                       # we still package.use.force savedconfig
+                       cp 
"${WORKDIR}/${MY_P}/arch/powerpc/configs/pmac32_defconfig" .config || die
+                       ;;
+               ppc64)
+                       cp 
"${DISTDIR}/kernel-ppc64le-fedora.config.${CONFIG_VER}" .config || die
+                       biendian=true
+                       ;;
+               x86)
+                       cp "${DISTDIR}/kernel-i686-fedora.config.${CONFIG_VER}" 
.config || die
+                       ;;
+               *)
+                       die "Unsupported arch ${ARCH}"
+                       ;;
+       esac
+
+       local myversion="-gentoo-dist"
+       use hardened && myversion+="-hardened"
+       echo "CONFIG_LOCALVERSION=\"${myversion}\"" > "${T}"/version.config || 
die
+       local 
dist_conf_path="${WORKDIR}/gentoo-kernel-config-${GENTOO_CONFIG_VER}"
+
+       local merge_configs=(
+               "${T}"/version.config
+               "${dist_conf_path}"/base.config
+       )
+       use debug || merge_configs+=(
+               "${dist_conf_path}"/no-debug.config
+       )
+       if use hardened; then
+               merge_configs+=( "${dist_conf_path}"/hardened-base.config )
+
+               tc-is-gcc && merge_configs+=( 
"${dist_conf_path}"/hardened-gcc-plugins.config )
+
+               if [[ -f "${dist_conf_path}/hardened-${ARCH}.config" ]]; then
+                       merge_configs+=( 
"${dist_conf_path}/hardened-${ARCH}.config" )
+               fi
+       fi
+
+       # this covers ppc64 and aarch64_be only for now
+       if [[ ${biendian} == true && $(tc-endian) == big ]]; then
+               merge_configs+=( "${dist_conf_path}/big-endian.config" )
+       fi
+
+       use secureboot && merge_configs+=( 
"${dist_conf_path}/secureboot.config" )
+
+       kernel-build_merge_configs "${merge_configs[@]}"
+}

Reply via email to